{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.nv": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
					{"1":"query.get_equipped_item_name=='telescope_nv'&&query.is_sneaking"},
					{"2":"query.get_equipped_item_name=='m40a3nv'&&query.is_sneaking"},
					{"3":"query.get_equipped_item_name=='m21nv'&&query.is_sneaking"}
					]
				},
				"1":{"transitions":[{"default":"(1.0)"}],"on_entry":["/effect @s night_vision 1 0 true"]},
				"2":{"transitions":[{"default":"(1.0)"}],"on_entry":["/effect @s night_vision 1 0 true"]},
				"3":{"transitions":[{"default":"(1.0)"}],"on_entry":["/effect @s night_vision 1 0 true"]}
			}
		}
	}
}